package com.cretin.entity.exam;

import java.util.List;

public class ExamItem3 {

    private int code;
    private DataDTO data;
    private String jsessionid;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataDTO getData() {
        return data;
    }

    public void setData(DataDTO data) {
        this.data = data;
    }

    public String getJsessionid() {
        return jsessionid;
    }

    public void setJsessionid(String jsessionid) {
        this.jsessionid = jsessionid;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataDTO {
        private String activity_register_id;
        private ActivityModuleDTO activity_module;
        private TestDTO test;
        private boolean has_answer_history;

        public String getActivity_register_id() {
            return activity_register_id;
        }

        public void setActivity_register_id(String activity_register_id) {
            this.activity_register_id = activity_register_id;
        }

        public ActivityModuleDTO getActivity_module() {
            return activity_module;
        }

        public void setActivity_module(ActivityModuleDTO activity_module) {
            this.activity_module = activity_module;
        }

        public TestDTO getTest() {
            return test;
        }

        public void setTest(TestDTO test) {
            this.test = test;
        }

        public boolean isHas_answer_history() {
            return has_answer_history;
        }

        public void setHas_answer_history(boolean has_answer_history) {
            this.has_answer_history = has_answer_history;
        }

        public static class ActivityModuleDTO {
            private String id;
            private String create_by;
            private String create_time;
            private String update_by;
            private String update_time;
            private String activity_id;
            private String mod_name;
            private String dic_mod_type;
            private int sort_order;
            private boolean enabled;
            private int mod_times;
            private boolean allow_download;
            private boolean allow_fast;
            private String complete_condition;
            private boolean is_elective;
            private int view_times;
            private int mod_pages;
            private int live_layout;
            private int live_type;
            private int allow_attempts;
            private String allow_check_results;
            private int allow_check_correct;
            private int passing_rate;
            private int question_number;
            private int allow_switch_screen;
            private int testing_times;
            private int answer_mode;
            private String test_id;
            private int score_percent;
            private boolean graduate_exam;
            private boolean publish_to_mobile;
            private boolean limit_learning_time;
            private boolean live_record;
            private boolean micro_lecture;
            private boolean course_evaluate;
            private boolean enable_watermark;
            private int clock_text_number;
            private int clock_image_number;
            private int clock_media_seconds;
            private int integral_point;
            private String mark_type;
            private int time_status;
            private boolean give_like;
            private boolean alert;
            private boolean copy_to_hx;
            private boolean only_course_student;
            private boolean version;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getCreate_by() {
                return create_by;
            }

            public void setCreate_by(String create_by) {
                this.create_by = create_by;
            }

            public String getCreate_time() {
                return create_time;
            }

            public void setCreate_time(String create_time) {
                this.create_time = create_time;
            }

            public String getUpdate_by() {
                return update_by;
            }

            public void setUpdate_by(String update_by) {
                this.update_by = update_by;
            }

            public String getUpdate_time() {
                return update_time;
            }

            public void setUpdate_time(String update_time) {
                this.update_time = update_time;
            }

            public String getActivity_id() {
                return activity_id;
            }

            public void setActivity_id(String activity_id) {
                this.activity_id = activity_id;
            }

            public String getMod_name() {
                return mod_name;
            }

            public void setMod_name(String mod_name) {
                this.mod_name = mod_name;
            }

            public String getDic_mod_type() {
                return dic_mod_type;
            }

            public void setDic_mod_type(String dic_mod_type) {
                this.dic_mod_type = dic_mod_type;
            }

            public int getSort_order() {
                return sort_order;
            }

            public void setSort_order(int sort_order) {
                this.sort_order = sort_order;
            }

            public boolean isEnabled() {
                return enabled;
            }

            public void setEnabled(boolean enabled) {
                this.enabled = enabled;
            }

            public int getMod_times() {
                return mod_times;
            }

            public void setMod_times(int mod_times) {
                this.mod_times = mod_times;
            }

            public boolean isAllow_download() {
                return allow_download;
            }

            public void setAllow_download(boolean allow_download) {
                this.allow_download = allow_download;
            }

            public boolean isAllow_fast() {
                return allow_fast;
            }

            public void setAllow_fast(boolean allow_fast) {
                this.allow_fast = allow_fast;
            }

            public String getComplete_condition() {
                return complete_condition;
            }

            public void setComplete_condition(String complete_condition) {
                this.complete_condition = complete_condition;
            }

            public boolean isIs_elective() {
                return is_elective;
            }

            public void setIs_elective(boolean is_elective) {
                this.is_elective = is_elective;
            }

            public int getView_times() {
                return view_times;
            }

            public void setView_times(int view_times) {
                this.view_times = view_times;
            }

            public int getMod_pages() {
                return mod_pages;
            }

            public void setMod_pages(int mod_pages) {
                this.mod_pages = mod_pages;
            }

            public int getLive_layout() {
                return live_layout;
            }

            public void setLive_layout(int live_layout) {
                this.live_layout = live_layout;
            }

            public int getLive_type() {
                return live_type;
            }

            public void setLive_type(int live_type) {
                this.live_type = live_type;
            }

            public int getAllow_attempts() {
                return allow_attempts;
            }

            public void setAllow_attempts(int allow_attempts) {
                this.allow_attempts = allow_attempts;
            }

            public String getAllow_check_results() {
                return allow_check_results;
            }

            public void setAllow_check_results(String allow_check_results) {
                this.allow_check_results = allow_check_results;
            }

            public int getAllow_check_correct() {
                return allow_check_correct;
            }

            public void setAllow_check_correct(int allow_check_correct) {
                this.allow_check_correct = allow_check_correct;
            }

            public int getPassing_rate() {
                return passing_rate;
            }

            public void setPassing_rate(int passing_rate) {
                this.passing_rate = passing_rate;
            }

            public int getQuestion_number() {
                return question_number;
            }

            public void setQuestion_number(int question_number) {
                this.question_number = question_number;
            }

            public int getAllow_switch_screen() {
                return allow_switch_screen;
            }

            public void setAllow_switch_screen(int allow_switch_screen) {
                this.allow_switch_screen = allow_switch_screen;
            }

            public int getTesting_times() {
                return testing_times;
            }

            public void setTesting_times(int testing_times) {
                this.testing_times = testing_times;
            }

            public int getAnswer_mode() {
                return answer_mode;
            }

            public void setAnswer_mode(int answer_mode) {
                this.answer_mode = answer_mode;
            }

            public String getTest_id() {
                return test_id;
            }

            public void setTest_id(String test_id) {
                this.test_id = test_id;
            }

            public int getScore_percent() {
                return score_percent;
            }

            public void setScore_percent(int score_percent) {
                this.score_percent = score_percent;
            }

            public boolean isGraduate_exam() {
                return graduate_exam;
            }

            public void setGraduate_exam(boolean graduate_exam) {
                this.graduate_exam = graduate_exam;
            }

            public boolean isPublish_to_mobile() {
                return publish_to_mobile;
            }

            public void setPublish_to_mobile(boolean publish_to_mobile) {
                this.publish_to_mobile = publish_to_mobile;
            }

            public boolean isLimit_learning_time() {
                return limit_learning_time;
            }

            public void setLimit_learning_time(boolean limit_learning_time) {
                this.limit_learning_time = limit_learning_time;
            }

            public boolean isLive_record() {
                return live_record;
            }

            public void setLive_record(boolean live_record) {
                this.live_record = live_record;
            }

            public boolean isMicro_lecture() {
                return micro_lecture;
            }

            public void setMicro_lecture(boolean micro_lecture) {
                this.micro_lecture = micro_lecture;
            }

            public boolean isCourse_evaluate() {
                return course_evaluate;
            }

            public void setCourse_evaluate(boolean course_evaluate) {
                this.course_evaluate = course_evaluate;
            }

            public boolean isEnable_watermark() {
                return enable_watermark;
            }

            public void setEnable_watermark(boolean enable_watermark) {
                this.enable_watermark = enable_watermark;
            }

            public int getClock_text_number() {
                return clock_text_number;
            }

            public void setClock_text_number(int clock_text_number) {
                this.clock_text_number = clock_text_number;
            }

            public int getClock_image_number() {
                return clock_image_number;
            }

            public void setClock_image_number(int clock_image_number) {
                this.clock_image_number = clock_image_number;
            }

            public int getClock_media_seconds() {
                return clock_media_seconds;
            }

            public void setClock_media_seconds(int clock_media_seconds) {
                this.clock_media_seconds = clock_media_seconds;
            }

            public int getIntegral_point() {
                return integral_point;
            }

            public void setIntegral_point(int integral_point) {
                this.integral_point = integral_point;
            }

            public String getMark_type() {
                return mark_type;
            }

            public void setMark_type(String mark_type) {
                this.mark_type = mark_type;
            }

            public int getTime_status() {
                return time_status;
            }

            public void setTime_status(int time_status) {
                this.time_status = time_status;
            }

            public boolean isGive_like() {
                return give_like;
            }

            public void setGive_like(boolean give_like) {
                this.give_like = give_like;
            }

            public boolean isAlert() {
                return alert;
            }

            public void setAlert(boolean alert) {
                this.alert = alert;
            }

            public boolean isCopy_to_hx() {
                return copy_to_hx;
            }

            public void setCopy_to_hx(boolean copy_to_hx) {
                this.copy_to_hx = copy_to_hx;
            }

            public boolean isOnly_course_student() {
                return only_course_student;
            }

            public void setOnly_course_student(boolean only_course_student) {
                this.only_course_student = only_course_student;
            }

            public boolean isVersion() {
                return version;
            }

            public void setVersion(boolean version) {
                this.version = version;
            }
        }

        public static class TestDTO {
            private String id;
            private String create_by;
            private String create_time;
            private String update_by;
            private String update_time;
            private String test_name;
            private String test_type;
            private String mark_type;
            private String activity_id;
            private boolean is_template;
            private int sort_order;
            private String generate_type;
            private int question_number;
            private int total_score;
            private boolean update_question;
            private List<TestCategoriesDTO> testCategories;
            private boolean verifyTestUpdate;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getCreate_by() {
                return create_by;
            }

            public void setCreate_by(String create_by) {
                this.create_by = create_by;
            }

            public String getCreate_time() {
                return create_time;
            }

            public void setCreate_time(String create_time) {
                this.create_time = create_time;
            }

            public String getUpdate_by() {
                return update_by;
            }

            public void setUpdate_by(String update_by) {
                this.update_by = update_by;
            }

            public String getUpdate_time() {
                return update_time;
            }

            public void setUpdate_time(String update_time) {
                this.update_time = update_time;
            }

            public String getTest_name() {
                return test_name;
            }

            public void setTest_name(String test_name) {
                this.test_name = test_name;
            }

            public String getTest_type() {
                return test_type;
            }

            public void setTest_type(String test_type) {
                this.test_type = test_type;
            }

            public String getMark_type() {
                return mark_type;
            }

            public void setMark_type(String mark_type) {
                this.mark_type = mark_type;
            }

            public String getActivity_id() {
                return activity_id;
            }

            public void setActivity_id(String activity_id) {
                this.activity_id = activity_id;
            }

            public boolean isIs_template() {
                return is_template;
            }

            public void setIs_template(boolean is_template) {
                this.is_template = is_template;
            }

            public int getSort_order() {
                return sort_order;
            }

            public void setSort_order(int sort_order) {
                this.sort_order = sort_order;
            }

            public String getGenerate_type() {
                return generate_type;
            }

            public void setGenerate_type(String generate_type) {
                this.generate_type = generate_type;
            }

            public int getQuestion_number() {
                return question_number;
            }

            public void setQuestion_number(int question_number) {
                this.question_number = question_number;
            }

            public int getTotal_score() {
                return total_score;
            }

            public void setTotal_score(int total_score) {
                this.total_score = total_score;
            }

            public boolean isUpdate_question() {
                return update_question;
            }

            public void setUpdate_question(boolean update_question) {
                this.update_question = update_question;
            }

            public List<TestCategoriesDTO> getTestCategories() {
                return testCategories;
            }

            public void setTestCategories(List<TestCategoriesDTO> testCategories) {
                this.testCategories = testCategories;
            }

            public boolean isVerifyTestUpdate() {
                return verifyTestUpdate;
            }

            public void setVerifyTestUpdate(boolean verifyTestUpdate) {
                this.verifyTestUpdate = verifyTestUpdate;
            }

            public static class TestCategoriesDTO {
                private String id;
                private String create_by;
                private String create_time;
                private String update_by;
                private String update_time;
                private String test_id;
                private String dic_que_type;
                private String category_title;
                private int question_number;
                private int question_total_number;
                private int total_score;
                private int question_score;
                private int miss_score;
                private int sort_order;
                private int answer_time;
                private List<TestQuestionsDTO> testQuestions;

                public String getId() {
                    return id;
                }

                public void setId(String id) {
                    this.id = id;
                }

                public String getCreate_by() {
                    return create_by;
                }

                public void setCreate_by(String create_by) {
                    this.create_by = create_by;
                }

                public String getCreate_time() {
                    return create_time;
                }

                public void setCreate_time(String create_time) {
                    this.create_time = create_time;
                }

                public String getUpdate_by() {
                    return update_by;
                }

                public void setUpdate_by(String update_by) {
                    this.update_by = update_by;
                }

                public String getUpdate_time() {
                    return update_time;
                }

                public void setUpdate_time(String update_time) {
                    this.update_time = update_time;
                }

                public String getTest_id() {
                    return test_id;
                }

                public void setTest_id(String test_id) {
                    this.test_id = test_id;
                }

                public String getDic_que_type() {
                    return dic_que_type;
                }

                public void setDic_que_type(String dic_que_type) {
                    this.dic_que_type = dic_que_type;
                }

                public String getCategory_title() {
                    return category_title;
                }

                public void setCategory_title(String category_title) {
                    this.category_title = category_title;
                }

                public int getQuestion_number() {
                    return question_number;
                }

                public void setQuestion_number(int question_number) {
                    this.question_number = question_number;
                }

                public int getQuestion_total_number() {
                    return question_total_number;
                }

                public void setQuestion_total_number(int question_total_number) {
                    this.question_total_number = question_total_number;
                }

                public int getTotal_score() {
                    return total_score;
                }

                public void setTotal_score(int total_score) {
                    this.total_score = total_score;
                }

                public int getQuestion_score() {
                    return question_score;
                }

                public void setQuestion_score(int question_score) {
                    this.question_score = question_score;
                }

                public int getMiss_score() {
                    return miss_score;
                }

                public void setMiss_score(int miss_score) {
                    this.miss_score = miss_score;
                }

                public int getSort_order() {
                    return sort_order;
                }

                public void setSort_order(int sort_order) {
                    this.sort_order = sort_order;
                }

                public int getAnswer_time() {
                    return answer_time;
                }

                public void setAnswer_time(int answer_time) {
                    this.answer_time = answer_time;
                }

                public List<TestQuestionsDTO> getTestQuestions() {
                    return testQuestions;
                }

                public void setTestQuestions(List<TestQuestionsDTO> testQuestions) {
                    this.testQuestions = testQuestions;
                }

                public static class TestQuestionsDTO {
                    private String category_id;
                    private String question_id;
                    private int question_score;
                    private int sort_order;
                    private boolean choose_to_answer;
                    private boolean teacher_survey;
                    private String que_title;
                    private String dic_que_type;
                    private String dic_que_name;
                    private String que_text;
                    private List<QueMediaTextsDTO> que_media_texts;
                    private String dic_difficulty_id;
                    private String dic_difficulty_name;
                    private int min_choice;
                    private int max_choice;
                    private List<QuestionOptionsDTO> questionOptions;

                    public String getCategory_id() {
                        return category_id;
                    }

                    public void setCategory_id(String category_id) {
                        this.category_id = category_id;
                    }

                    public String getQuestion_id() {
                        return question_id;
                    }

                    public void setQuestion_id(String question_id) {
                        this.question_id = question_id;
                    }

                    public int getQuestion_score() {
                        return question_score;
                    }

                    public void setQuestion_score(int question_score) {
                        this.question_score = question_score;
                    }

                    public int getSort_order() {
                        return sort_order;
                    }

                    public void setSort_order(int sort_order) {
                        this.sort_order = sort_order;
                    }

                    public boolean isChoose_to_answer() {
                        return choose_to_answer;
                    }

                    public void setChoose_to_answer(boolean choose_to_answer) {
                        this.choose_to_answer = choose_to_answer;
                    }

                    public boolean isTeacher_survey() {
                        return teacher_survey;
                    }

                    public void setTeacher_survey(boolean teacher_survey) {
                        this.teacher_survey = teacher_survey;
                    }

                    public String getQue_title() {
                        return que_title;
                    }

                    public void setQue_title(String que_title) {
                        this.que_title = que_title;
                    }

                    public String getDic_que_type() {
                        return dic_que_type;
                    }

                    public void setDic_que_type(String dic_que_type) {
                        this.dic_que_type = dic_que_type;
                    }

                    public String getDic_que_name() {
                        return dic_que_name;
                    }

                    public void setDic_que_name(String dic_que_name) {
                        this.dic_que_name = dic_que_name;
                    }

                    public String getQue_text() {
                        return que_text;
                    }

                    public void setQue_text(String que_text) {
                        this.que_text = que_text;
                    }

                    public List<QueMediaTextsDTO> getQue_media_texts() {
                        return que_media_texts;
                    }

                    public void setQue_media_texts(List<QueMediaTextsDTO> que_media_texts) {
                        this.que_media_texts = que_media_texts;
                    }

                    public String getDic_difficulty_id() {
                        return dic_difficulty_id;
                    }

                    public void setDic_difficulty_id(String dic_difficulty_id) {
                        this.dic_difficulty_id = dic_difficulty_id;
                    }

                    public String getDic_difficulty_name() {
                        return dic_difficulty_name;
                    }

                    public void setDic_difficulty_name(String dic_difficulty_name) {
                        this.dic_difficulty_name = dic_difficulty_name;
                    }

                    public int getMin_choice() {
                        return min_choice;
                    }

                    public void setMin_choice(int min_choice) {
                        this.min_choice = min_choice;
                    }

                    public int getMax_choice() {
                        return max_choice;
                    }

                    public void setMax_choice(int max_choice) {
                        this.max_choice = max_choice;
                    }

                    public List<QuestionOptionsDTO> getQuestionOptions() {
                        return questionOptions;
                    }

                    public void setQuestionOptions(List<QuestionOptionsDTO> questionOptions) {
                        this.questionOptions = questionOptions;
                    }

                    public static class QueMediaTextsDTO {
                        private String type;
                        private String value;

                        public String getType() {
                            return type;
                        }

                        public void setType(String type) {
                            this.type = type;
                        }

                        public String getValue() {
                            return value;
                        }

                        public void setValue(String value) {
                            this.value = value;
                        }
                    }

                    public static class QuestionOptionsDTO {
                        private String id;
                        private String question_id;
                        private String option_order;
                        private String option_text;
                        private List<OptionMediaTextsDTO> option_media_texts;
                        private int sort_order;
                        private boolean is_correct;
                        private int score;
                        private int text_length;
                        private String create_by;
                        private String create_time;

                        public String getId() {
                            return id;
                        }

                        public void setId(String id) {
                            this.id = id;
                        }

                        public String getQuestion_id() {
                            return question_id;
                        }

                        public void setQuestion_id(String question_id) {
                            this.question_id = question_id;
                        }

                        public String getOption_order() {
                            return option_order;
                        }

                        public void setOption_order(String option_order) {
                            this.option_order = option_order;
                        }

                        public String getOption_text() {
                            return option_text;
                        }

                        public void setOption_text(String option_text) {
                            this.option_text = option_text;
                        }

                        public List<OptionMediaTextsDTO> getOption_media_texts() {
                            return option_media_texts;
                        }

                        public void setOption_media_texts(List<OptionMediaTextsDTO> option_media_texts) {
                            this.option_media_texts = option_media_texts;
                        }

                        public int getSort_order() {
                            return sort_order;
                        }

                        public void setSort_order(int sort_order) {
                            this.sort_order = sort_order;
                        }

                        public boolean isIs_correct() {
                            return is_correct;
                        }

                        public void setIs_correct(boolean is_correct) {
                            this.is_correct = is_correct;
                        }

                        public int getScore() {
                            return score;
                        }

                        public void setScore(int score) {
                            this.score = score;
                        }

                        public int getText_length() {
                            return text_length;
                        }

                        public void setText_length(int text_length) {
                            this.text_length = text_length;
                        }

                        public String getCreate_by() {
                            return create_by;
                        }

                        public void setCreate_by(String create_by) {
                            this.create_by = create_by;
                        }

                        public String getCreate_time() {
                            return create_time;
                        }

                        public void setCreate_time(String create_time) {
                            this.create_time = create_time;
                        }

                        public static class OptionMediaTextsDTO {
                            private String type;
                            private String value;

                            public String getType() {
                                return type;
                            }

                            public void setType(String type) {
                                this.type = type;
                            }

                            public String getValue() {
                                return value;
                            }

                            public void setValue(String value) {
                                this.value = value;
                            }
                        }
                    }
                }
            }
        }
    }
}
